Package com.sun.jna.platform.unix.solaris

## Class Kstat2.Kstat2Map

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.unix.solaris.Kstat2.Kstat2Map

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  Kstat2

    public static class Kstat2.Kstat2Map
    extends PointerType

Opaque kstat map handle.

### Constructor Summary

Constructors
`Kstat2Map()`
`Kstat2Map​(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getValue​(java.lang.String name)` Convenience method for `Kstat2.kstat2_map_get(Kstat2Map, String, PointerByReference)` that retrieves the name/value (nv) pair identified by the supplied name and returns the value as an object.
`Kstat2.Kstat2NV` `mapGet​(java.lang.String name)` Convenience method for `Kstat2.kstat2_map_get(Kstat2Map, String, PointerByReference)` that retrieves the name/value (nv) pair identified by the supplied name.

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Kstat2Map

    public Kstat2Map()

#### Kstat2Map

    public Kstat2Map​(Pointer p)

### Method Detail

#### mapGet

    public Kstat2.Kstat2NV mapGet​(java.lang.String name)

Convenience method for `Kstat2.kstat2_map_get(Kstat2Map, String, PointerByReference)` that retrieves the name/value (nv) pair identified by the supplied name.

Parameters:
  `name` - The uri of the data to retrieve.
Returns:
  The name/value data.

#### getValue

    public java.lang.Object getValue​(java.lang.String name)

Convenience method for `Kstat2.kstat2_map_get(Kstat2Map, String, PointerByReference)` that retrieves the name/value (nv) pair identified by the supplied name and returns the value as an object.

Parameters:
  `name` - The name of the data to retrieve.
Returns:
  If the value is of type `Kstat2.KSTAT2_NVVT_MAP`, a `Kstat2.Kstat2Map` is returned.

  If the value is of type `Kstat2.KSTAT2_NVVT_INT`, a `long` is returned.

  If the value is of type `Kstat2.KSTAT2_NVVT_INTS`, an array of `long` is returned.

  If the value is of type `Kstat2.KSTAT2_NVVT_STR`, a `String` is returned.

  If the value is of type `Kstat2.KSTAT2_NVVT_STRS`, an array of `String` is returned.

  If no value exists for this property (error or invalid data `Kstat2.KSTAT2_NVF_INVAL`), returns `null`.